package com.hemmis.sudoku;

import org.junit.Assert;
import org.junit.Test;

public class CellTest {
	@Test
	public void testPossiblitiesCompare() throws Exception{
		Cell cell1 = new Cell(0,1);
		Cell cell2 = new Cell(0,2);
		cell1.removePossibleValue(Value.V1);
		cell1.removePossibleValue(Value.V3);
		cell1.removePossibleValue(Value.V4);
		
		cell2.removePossibleValue(Value.V1);
		cell2.removePossibleValue(Value.V4);
		cell2.removePossibleValue(Value.V3);
		Assert.assertTrue(cell1.arePossiblitiesEqual(cell2));
	}
}
